Bug 2003545 - Remove openshift:kubevirt-machine-controllers decleration from machine-api
Summary: Remove openshift:kubevirt-machine-controllers decleration from machine-api
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.9
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.9.0
Assignee: Joel Speed
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On: 2001295
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-13 08:12 UTC by Joel Speed
Modified: 2021-10-18 17:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2001295
Environment:
Last Closed: 2021-10-18 17:51:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-api-operator pull 911 0 None open Bug 2003545: Remove "kubevirt-machine-controllers" image from release 4.9 2021-09-13 08:21:16 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:51:49 UTC

Description Joel Speed 2021-09-13 08:12:21 UTC
+++ This bug was initially created as a clone of Bug #2001295 +++

Description of problem:

As decided, kubevirt platform is defined as "dev preview", therefore kubevirt-machine-controllers image is not included in release
Remove this image from machine-api to prevent failures during the missing image

--- Additional comment from Joel Speed on 2021-09-06 13:14:25 UTC ---

@nargaman, just want to understand why this is urgent priority, is this considered to be a blocker for 4.9?
Where exactly is this causing issues?
Do we need to get this into 4.9.0 or can this be backported into a later z-stream?

--- Additional comment from Nir Argaman on 2021-09-09 06:20:09 UTC ---

Hi @jspeed@redhat.com, this is urgent because the kubevirt-machine-controllers is not going to be released to the release image
When it would be removed from the release image and in case this change wouldn't be integrated, there will be failures in machine-api build

--- Additional comment from Joel Speed on 2021-09-13 08:11:37 UTC ---

We want to keep the libvirt controllers in the current release, closing as appropriate

Comment 2 sunzhaohua 2021-09-16 10:06:46 UTC
verified
clusterversion: 4.9.0-0.nightly-2021-09-16-023709

kubevirt-machine-controllers is not included in payload

$ oc adm release info --pullspecs registry.ci.openshift.org/ocp/release:4.9.0-0.nightly-2021-09-16-023709 | grep machine-controller
  aws-machine-controllers                        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:0c4c651a10ee7b2e91733d7dc9ce79aa7ca40f01d812618246e2d7a8dab093b6
  azure-machine-controllers                      quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:77b09eac76752402ac2ea0fed008380bc822625d14610fd24440688fd3a72e31
  baremetal-machine-controllers                  quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:31b767e954d73658f4c08d62b8d15e0231f195c737d71ddaef6f5dcd1f3f46f8
  gcp-machine-controllers                        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4a2047f28e41cd5e9daea785ec9c34c57ce28dfaef43210041b96e3d3e630868
  libvirt-machine-controllers                    quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:af1e4034fe970c93ef9690e3e4f70f067be4ffdf083e630fe842c5f467b1c074
  openstack-machine-controllers                  quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:315f5726ba6a72abc6a8b310e3ef04859e43c9cd752b85cec5b428a3f5d7609a
  ovirt-machine-controllers                      quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:da912ce6ee1de578bafafada828ade3847427d28cedd986c5ca2d66d8f985383

Comment 5 errata-xmlrpc 2021-10-18 17:51:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.